diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Category.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Category.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Category.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Category.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,157 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Manages all category-related data
+  *
+  * Used by {@see SimplePie_Item::get_category()} and {@see SimplePie_Item::get_categories()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_category_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Category
+ {
+ 	/**
+ 	 * Category identifier
+ 	 *
+ 	 * @var string
+ 	 * @see get_term
+ 	 */
+ 	var $term;
+ 
+ 	/**
+ 	 * Categorization scheme identifier
+ 	 *
+ 	 * @var string
+ 	 * @see get_scheme()
+ 	 */
+ 	var $scheme;
+ 
+ 	/**
+ 	 * Human readable label
+ 	 *
+ 	 * @var string
+ 	 * @see get_label()
+ 	 */
+ 	var $label;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * @param string $term
+ 	 * @param string $scheme
+ 	 * @param string $label
+ 	 */
+ 	public function __construct($term = null, $scheme = null, $label = null)
+ 	{
+ 		$this->term = $term;
+ 		$this->scheme = $scheme;
+ 		$this->label = $label;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the category identifier
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_term()
+ 	{
+ 		if ($this->term !== null)
+ 		{
+ 			return $this->term;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the categorization scheme identifier
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_scheme()
+ 	{
+ 		if ($this->scheme !== null)
+ 		{
+ 			return $this->scheme;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the human readable label
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_label()
+ 	{
+ 		if ($this->label !== null)
+ 		{
+ 			return $this->label;
+ 		}
+ 		else
+ 		{
+ 			return $this->get_term();
+ 		}
+ 	}
+ }
+ 
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Content/Type/Sniffer.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Content/Type/Sniffer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Content/Type/Sniffer.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Content/Type/Sniffer.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,332 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ 
+ /**
+  * Content-type sniffing
+  *
+  * Based on the rules in http://tools.ietf.org/html/draft-abarth-mime-sniff-06
+  *
+  * This is used since we can't always trust Content-Type headers, and is based
+  * upon the HTML5 parsing rules.
+  *
+  *
+  * This class can be overloaded with {@see SimplePie::set_content_type_sniffer_class()}
+  *
+  * @package SimplePie
+  * @subpackage HTTP
+  */
+ class SimplePie_Content_Type_Sniffer
+ {
+ 	/**
+ 	 * File object
+ 	 *
+ 	 * @var SimplePie_File
+ 	 */
+ 	var $file;
+ 
+ 	/**
+ 	 * Create an instance of the class with the input file
+ 	 *
+ 	 * @param SimplePie_Content_Type_Sniffer $file Input file
+ 	 */
+ 	public function __construct($file)
+ 	{
+ 		$this->file = $file;
+ 	}
+ 
+ 	/**
+ 	 * Get the Content-Type of the specified file
+ 	 *
+ 	 * @return string Actual Content-Type
+ 	 */
+ 	public function get_type()
+ 	{
+ 		if (isset($this->file->headers['content-type']))
+ 		{
+ 			if (!isset($this->file->headers['content-encoding'])
+ 				&& ($this->file->headers['content-type'] === 'text/plain'
+ 					|| $this->file->headers['content-type'] === 'text/plain; charset=ISO-8859-1'
+ 					|| $this->file->headers['content-type'] === 'text/plain; charset=iso-8859-1'
+ 					|| $this->file->headers['content-type'] === 'text/plain; charset=UTF-8'))
+ 			{
+ 				return $this->text_or_binary();
+ 			}
+ 
+ 			if (($pos = strpos($this->file->headers['content-type'], ';')) !== false)
+ 			{
+ 				$official = substr($this->file->headers['content-type'], 0, $pos);
+ 			}
+ 			else
+ 			{
+ 				$official = $this->file->headers['content-type'];
+ 			}
+ 			$official = trim(strtolower($official));
+ 
+ 			if ($official === 'unknown/unknown'
+ 				|| $official === 'application/unknown')
+ 			{
+ 				return $this->unknown();
+ 			}
+ 			elseif (substr($official, -4) === '+xml'
+ 				|| $official === 'text/xml'
+ 				|| $official === 'application/xml')
+ 			{
+ 				return $official;
+ 			}
+ 			elseif (substr($official, 0, 6) === 'image/')
+ 			{
+ 				if ($return = $this->image())
+ 				{
+ 					return $return;
+ 				}
+ 				else
+ 				{
+ 					return $official;
+ 				}
+ 			}
+ 			elseif ($official === 'text/html')
+ 			{
+ 				return $this->feed_or_html();
+ 			}
+ 			else
+ 			{
+ 				return $official;
+ 			}
+ 		}
+ 		else
+ 		{
+ 			return $this->unknown();
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Sniff text or binary
+ 	 *
+ 	 * @return string Actual Content-Type
+ 	 */
+ 	public function text_or_binary()
+ 	{
+ 		if (substr($this->file->body, 0, 2) === "\xFE\xFF"
+ 			|| substr($this->file->body, 0, 2) === "\xFF\xFE"
+ 			|| substr($this->file->body, 0, 4) === "\x00\x00\xFE\xFF"
+ 			|| substr($this->file->body, 0, 3) === "\xEF\xBB\xBF")
+ 		{
+ 			return 'text/plain';
+ 		}
+ 		elseif (preg_match('/[\x00-\x08\x0E-\x1A\x1C-\x1F]/', $this->file->body))
+ 		{
+ 			return 'application/octect-stream';
+ 		}
+ 		else
+ 		{
+ 			return 'text/plain';
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Sniff unknown
+ 	 *
+ 	 * @return string Actual Content-Type
+ 	 */
+ 	public function unknown()
+ 	{
+ 		$ws = strspn($this->file->body, "\x09\x0A\x0B\x0C\x0D\x20");
+ 		if (strtolower(substr($this->file->body, $ws, 14)) === '<!doctype html'
+ 			|| strtolower(substr($this->file->body, $ws, 5)) === '<html'
+ 			|| strtolower(substr($this->file->body, $ws, 7)) === '<script')
+ 		{
+ 			return 'text/html';
+ 		}
+ 		elseif (substr($this->file->body, 0, 5) === '%PDF-')
+ 		{
+ 			return 'application/pdf';
+ 		}
+ 		elseif (substr($this->file->body, 0, 11) === '%!PS-Adobe-')
+ 		{
+ 			return 'application/postscript';
+ 		}
+ 		elseif (substr($this->file->body, 0, 6) === 'GIF87a'
+ 			|| substr($this->file->body, 0, 6) === 'GIF89a')
+ 		{
+ 			return 'image/gif';
+ 		}
+ 		elseif (substr($this->file->body, 0, 8) === "\x89\x50\x4E\x47\x0D\x0A\x1A\x0A")
+ 		{
+ 			return 'image/png';
+ 		}
+ 		elseif (substr($this->file->body, 0, 3) === "\xFF\xD8\xFF")
+ 		{
+ 			return 'image/jpeg';
+ 		}
+ 		elseif (substr($this->file->body, 0, 2) === "\x42\x4D")
+ 		{
+ 			return 'image/bmp';
+ 		}
+ 		elseif (substr($this->file->body, 0, 4) === "\x00\x00\x01\x00")
+ 		{
+ 			return 'image/vnd.microsoft.icon';
+ 		}
+ 		else
+ 		{
+ 			return $this->text_or_binary();
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Sniff images
+ 	 *
+ 	 * @return string Actual Content-Type
+ 	 */
+ 	public function image()
+ 	{
+ 		if (substr($this->file->body, 0, 6) === 'GIF87a'
+ 			|| substr($this->file->body, 0, 6) === 'GIF89a')
+ 		{
+ 			return 'image/gif';
+ 		}
+ 		elseif (substr($this->file->body, 0, 8) === "\x89\x50\x4E\x47\x0D\x0A\x1A\x0A")
+ 		{
+ 			return 'image/png';
+ 		}
+ 		elseif (substr($this->file->body, 0, 3) === "\xFF\xD8\xFF")
+ 		{
+ 			return 'image/jpeg';
+ 		}
+ 		elseif (substr($this->file->body, 0, 2) === "\x42\x4D")
+ 		{
+ 			return 'image/bmp';
+ 		}
+ 		elseif (substr($this->file->body, 0, 4) === "\x00\x00\x01\x00")
+ 		{
+ 			return 'image/vnd.microsoft.icon';
+ 		}
+ 		else
+ 		{
+ 			return false;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Sniff HTML
+ 	 *
+ 	 * @return string Actual Content-Type
+ 	 */
+ 	public function feed_or_html()
+ 	{
+ 		$len = strlen($this->file->body);
+ 		$pos = strspn($this->file->body, "\x09\x0A\x0D\x20");
+ 
+ 		while ($pos < $len)
+ 		{
+ 			switch ($this->file->body[$pos])
+ 			{
+ 				case "\x09":
+ 				case "\x0A":
+ 				case "\x0D":
+ 				case "\x20":
+ 					$pos += strspn($this->file->body, "\x09\x0A\x0D\x20", $pos);
+ 					continue 2;
+ 
+ 				case '<':
+ 					$pos++;
+ 					break;
+ 
+ 				default:
+ 					return 'text/html';
+ 			}
+ 
+ 			if (substr($this->file->body, $pos, 3) === '!--')
+ 			{
+ 				$pos += 3;
+ 				if ($pos < $len && ($pos = strpos($this->file->body, '-->', $pos)) !== false)
+ 				{
+ 					$pos += 3;
+ 				}
+ 				else
+ 				{
+ 					return 'text/html';
+ 				}
+ 			}
+ 			elseif (substr($this->file->body, $pos, 1) === '!')
+ 			{
+ 				if ($pos < $len && ($pos = strpos($this->file->body, '>', $pos)) !== false)
+ 				{
+ 					$pos++;
+ 				}
+ 				else
+ 				{
+ 					return 'text/html';
+ 				}
+ 			}
+ 			elseif (substr($this->file->body, $pos, 1) === '?')
+ 			{
+ 				if ($pos < $len && ($pos = strpos($this->file->body, '?>', $pos)) !== false)
+ 				{
+ 					$pos += 2;
+ 				}
+ 				else
+ 				{
+ 					return 'text/html';
+ 				}
+ 			}
+ 			elseif (substr($this->file->body, $pos, 3) === 'rss'
+ 				|| substr($this->file->body, $pos, 7) === 'rdf:RDF')
+ 			{
+ 				return 'application/rss+xml';
+ 			}
+ 			elseif (substr($this->file->body, $pos, 4) === 'feed')
+ 			{
+ 				return 'application/atom+xml';
+ 			}
+ 			else
+ 			{
+ 				return 'text/html';
+ 			}
+ 		}
+ 
+ 		return 'text/html';
+ 	}
+ }
+ 
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Copyright.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Copyright.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Copyright.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Copyright.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,130 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Manages `<media:copyright>` copyright tags as defined in Media RSS
+  *
+  * Used by {@see SimplePie_Enclosure::get_copyright()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_copyright_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Copyright
+ {
+ 	/**
+ 	 * Copyright URL
+ 	 *
+ 	 * @var string
+ 	 * @see get_url()
+ 	 */
+ 	var $url;
+ 
+ 	/**
+ 	 * Attribution
+ 	 *
+ 	 * @var string
+ 	 * @see get_attribution()
+ 	 */
+ 	var $label;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * For documentation on all the parameters, see the corresponding
+ 	 * properties and their accessors
+ 	 */
+ 	public function __construct($url = null, $label = null)
+ 	{
+ 		$this->url = $url;
+ 		$this->label = $label;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the copyright URL
+ 	 *
+ 	 * @return string|null URL to copyright information
+ 	 */
+ 	public function get_url()
+ 	{
+ 		if ($this->url !== null)
+ 		{
+ 			return $this->url;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the attribution text
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_attribution()
+ 	{
+ 		if ($this->label !== null)
+ 		{
+ 			return $this->label;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
+ 
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Core.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Core.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Core.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,57 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2009, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * SimplePie class.
+  *
+  * Class for backward compatibility.
+  *
+  * @deprecated Use {@see SimplePie} directly
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Core extends SimplePie
+ {
+ 
+ }
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Credit.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Credit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Credit.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Credit.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,156 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Handles `<media:credit>` as defined in Media RSS
+  *
+  * Used by {@see SimplePie_Enclosure::get_credit()} and {@see SimplePie_Enclosure::get_credits()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_credit_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Credit
+ {
+ 	/**
+ 	 * Credited role
+ 	 *
+ 	 * @var string
+ 	 * @see get_role()
+ 	 */
+ 	var $role;
+ 
+ 	/**
+ 	 * Organizational scheme
+ 	 *
+ 	 * @var string
+ 	 * @see get_scheme()
+ 	 */
+ 	var $scheme;
+ 
+ 	/**
+ 	 * Credited name
+ 	 *
+ 	 * @var string
+ 	 * @see get_name()
+ 	 */
+ 	var $name;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * For documentation on all the parameters, see the corresponding
+ 	 * properties and their accessors
+ 	 */
+ 	public function __construct($role = null, $scheme = null, $name = null)
+ 	{
+ 		$this->role = $role;
+ 		$this->scheme = $scheme;
+ 		$this->name = $name;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Get the role of the person receiving credit
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_role()
+ 	{
+ 		if ($this->role !== null)
+ 		{
+ 			return $this->role;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the organizational scheme
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_scheme()
+ 	{
+ 		if ($this->scheme !== null)
+ 		{
+ 			return $this->scheme;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Get the credited person/entity's name
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_name()
+ 	{
+ 		if ($this->name !== null)
+ 		{
+ 			return $this->name;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
+ 
